# Obsolete Members for ValueSelector

The following members of QML type ValueSelector are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- icon : variant`(obsolete)`

## Property Documentation

icon : variant

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use iconName or iconSource instead.

The location of the icon to show in the list item (optional), or an Item that is shown on the left side inside the list item. The icon will automatically be anchored to the left side of the list item, and if its height is undefined, to the top and bottom of the list item.